#{extends 'border.html'/}
<div class="container">
#{form @masterdata.BidangCtr.createSubmit(), method:'POST', class:'form-horizontal'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="#">&{'bidang.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'bidang.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton/}
				#{saveButton/}
            </div>
            <!-- End Toolbar -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="panel panel-default">
                <div class="panel-body">
                    #{alert /}
                    <div class="toolbar">
                        <a id="addInput" class="btn btn-primary"><i class="fa fa-plus"></i> &{'tambah.label'}</a>
                        <a id="removeAllInput" class="btn btn-danger"><i class="fa fa-trash"></i> &{'kosongkan.label'}</a>
                    </div>
                    <div style="overflow-x: auto">
                        <table class="table table-condensed">
                            <thead>
                            <tr>
                                <th width="15">&{'nomor.label'}</th>
                                <th>&{'nama.label'} &{'bidang.label'}</th>
                            </tr>
                            </thead>
                            <tbody id="inputForm">
                                #{if bidangList != null}
                                    #{list items:bidangList, as:'bidang'}
                                    <tr>
                                        <td>
                                            <a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
                                        </td>
                                        <td class="#{errorClass 'bidang_' + bidang_index/}">
                                            <input class="form-control" name="nama_bidang_arr" value="${bidang}"/>
                                            <span class="help-block">#{error 'bidang_' + bidang_index /}</span>
                                        </td>
                                    </tr>
                                    #{/list}
                                #{/if}
                                #{else}
                                <tr>
                                    <td>
                                        <a id="removeInput" class="btn btn-danger"><i class="fa fa-trash"></i></a>
                                    </td>
                                    <td>
                                        <input class="form-control" name="nama_bidang_arr"/>
                                    </td>
                                </tr>
                                #{/else}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>

#{/form}
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {

        $("#addInput").on("click",function(){
            var str = "<tr>" +
                    "<td><a id='removeInput' class='btn btn-danger'><i class='fa fa-trash'></i></a></td>" +
                    "<td><input class='form-control' name='nama_bidang_arr'/></td>" +
                    "</tr>";
            $("#inputForm").append(str);
        });

        $("body").on("click","#removeInput",function(){
            $(this).parent().parent().remove();
        });

        $("#removeAllInput").on("click",function(){
            $("#inputForm tr").remove();
        });


    });
</script>
#{/set}